const path = require('path');
const { styleManifestFileName, styleManifestAssetsFileName } = require('../config/settings');
const getConfig = require('../utils/getManifestConfig');

const getAbsPathToComponents = () => path.join(process.cwd(), getConfig().pathToComponents || '');
const getPathToStyleManifest = () => path.join(getAbsPathToComponents(), styleManifestFileName);
const getPathToStyleManifestAssets = () =>
  path.join(getAbsPathToComponents(), styleManifestAssetsFileName);

module.exports = {
  getAbsPathToComponents,
  getPathToStyleManifest,
  getPathToStyleManifestAssets,
};
