/* eslint-disable import/no-dynamic-require */
const fs = require('fs-extra');
const { pathToConfig } = require('../config/settings');

module.exports = () => {
  try {
    return fs.readJsonSync(pathToConfig);
  } catch (error) {
    if (error.code === 'ENOENT') {
      fs.writeJsonSync(pathToConfig, { pathToComponents: '', host: '', components: '' });
      return fs.readJsonSync(pathToConfig);
    }
  }
};
